## rekonq 1.0

=== CMakeLists.txt ===
# Andrea Diamantini - adjam7 at gmail dot com
# rekonq project

PROJECT( rekonq )

# ==================================================================================
# Information to update before to release this package.

# rekonq info
SET(REKONQ_VERSION "1.0" )

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/src/config-version.h )

SET(REKONQ_SITE "http://rekonq.kde.org")

# ==================================================================================
# minimum cmake required

CMAKE_MINIMUM_REQUIRED(VERSION 2.6.4)


SET(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})

# ==================================================================================


FIND_PACKAGE(Qt4 4.8.0 COMPONENTS QtCore QtGui QtNetwork QtWebKit REQUIRED)

## Ensure we have QtWebKit >= 2.2.0
#FIND_PACKAGE(PkgConfig REQUIRED)
#PKG_CHECK_MODULES(PC_QTWEBKIT REQUIRED QtWebKit>=4.8.0)
#IF(NOT PC_QTWEBKIT_FOUND)
#  MESSAGE(FATAL_ERROR "QtWebkit 2.2.0 is required for this version of Rekonq")
#ELSE()
#  MESSAGE(STATUS "Found QtWebKit ${PC_QTWEBKIT_VERSION}")
#ENDIF()

FIND_PACKAGE(KDE4 4.7.0 REQUIRED)


INCLUDE(MacroOptionalFindPackage)
INCLUDE(FindPackageHandleStandardArgs)
INCLUDE(KDE4Defaults)
INCLUDE(MacroLibrary)

ADD_DEFINITIONS(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)


# ==================================================================================
# optional nepomuk requirements

MACRO_OPTIONAL_FIND_PACKAGE(Nepomuk)
MACRO_BOOL_TO_01(Nepomuk_FOUND HAVE_NEPOMUK)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-nepomuk.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/src/config-nepomuk.h )


# ==================================================================================
# optional QCA2 & QtOAuth requirements

MACRO_OPTIONAL_FIND_PACKAGE(QCA2)
MACRO_BOOL_TO_01(QCA2_FOUND HAVE_QCA2)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-qca2.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/src/config-qca2.h )


MACRO_OPTIONAL_FIND_PACKAGE(QtOAuth)
MACRO_BOOL_TO_01(QTOAUTH_FOUND HAVE_QTOAUTH)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-qtoauth.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/src/config-qtoauth.h )


# ==================================================================================
# Log messages

MESSAGE(STATUS "")
MESSAGE(STATUS "-----------------------------------------------------------------------")
MESSAGE(STATUS " rekonq ${REKONQ_VERSION} dependencies results  <${REKONQ_SITE}>")
MESSAGE(STATUS "")

# Require shared libraries results.

# ----------------------------------- Qt -------------------------------------
SET(QT_VERS_STR
    "${QT_VERSION_MAJOR}.${QT_VERSION_MINOR}.${QT_VERSION_PATCH}"
   )

IF(QT4_FOUND)
    MESSAGE(STATUS " Qt library found...................... YES")
    MESSAGE(STATUS " Qt version ${QT_VERS_STR} found! ")
ELSE(QT4_FOUND)
    MESSAGE(STATUS " Qt library found...................... NO")
    MESSAGE(STATUS "")
    MESSAGE(SEND_ERROR " rekonq needs at least Qt ${QT_MIN_VERSION}. Please install it and try compiling again.")
    MESSAGE(STATUS " Qt website is at http://qt.nokia.com")
    MESSAGE(STATUS "")
ENDIF(QT4_FOUND)

MESSAGE(STATUS "")

# ---------------------------------- KDE -------------------------------------
SET(KDE_VERS_STR
    "${KDE_VERSION_MAJOR}.${KDE_VERSION_MINOR}.${KDE_VERSION_RELEASE}"
   )

IF(KDE4_FOUND)
    MESSAGE(STATUS " KDE Desktop Environment............... YES")
    MESSAGE(STATUS " KDE version ${KDE_VERS_STR} found! ")
ELSE(KDE4_FOUND)
    MESSAGE(STATUS " KDE Desktop Environment............... NO")
    MESSAGE(STATUS "")
    MESSAGE(SEND_ERROR " rekonq needs at least KDE ${KDE_MIN_VERSION}. Please install it and try compiling again.")
    MESSAGE(STATUS " KDE website is at http://www.kde.org")
    MESSAGE(STATUS "")
ENDIF(KDE4_FOUND)

##### FINAL RESULTS #####

# create suspance..
MESSAGE(STATUS "")
MESSAGE(STATUS "")

IF(QT4_FOUND AND KDE4_FOUND)
    MESSAGE(STATUS " rekonq will be compiled............... YES")
    SET(REKONQ_CAN_BE_COMPILED true)
ELSE(QT4_FOUND AND KDE4_FOUND)
    MESSAGE(FATAL_ERROR " rekonq will NOT be compiled!")
    SET(REKONQ_CAN_BE_COMPILED false)
ENDIF(QT4_FOUND AND KDE4_FOUND)

# ----------------------- Optional Deps --------------------------------------

IF(REKONQ_CAN_BE_COMPILED)
    MESSAGE(STATUS "")
    MESSAGE(STATUS "")
    MESSAGE(STATUS " ----- Optional Features")
    MESSAGE(STATUS "")

    # Nepomuk

    IF(HAVE_NEPOMUK)
        MESSAGE(STATUS " Nepomuk Libraries..................... YES")
        MESSAGE(STATUS " Rekonq will be compiled with support for bookmarks nepomuk tagging")
    ELSE(HAVE_NEPOMUK)
        MESSAGE(STATUS " Nepomuk Libraries..................... NO")
        MESSAGE(STATUS " Rekonq will be compiled WITHOUT support for bookmarks tagging")
    ENDIF(HAVE_NEPOMUK)

    MESSAGE(STATUS "")

    # QCA2

    IF(HAVE_QCA2)
        MESSAGE(STATUS " QCA2 Libraries........................ YES")
    ELSE(HAVE_QCA2)
        MESSAGE(STATUS " QCA2 Libraries........................ NO")
    ENDIF(HAVE_QCA2)

    # QTOAUTH

    IF(HAVE_QTOAUTH)
        MESSAGE(STATUS " QtOAuth Libraries..................... YES")
    ELSE(HAVE_QTOAUTH)
        MESSAGE(STATUS " QtOAuth Libraries..................... NO")
    ENDIF(HAVE_QTOAUTH)


    IF(HAVE_QCA2 AND HAVE_QTOAUTH)
        MESSAGE(STATUS " Rekonq will be compiled with support for opera sync handler")
    ELSE(HAVE_QCA2 AND HAVE_QTOAUTH)
        MESSAGE(STATUS " Rekonq will be compiled WITHOUT support for opera sync handler")
    ENDIF(HAVE_QCA2 AND HAVE_QTOAUTH)


    MESSAGE(STATUS "")
    MESSAGE(STATUS "-----------------------------------------------------------------------")
    MESSAGE(STATUS "")

ENDIF(REKONQ_CAN_BE_COMPILED)

# ===============================================================================

IF(REKONQ_CAN_BE_COMPILED)

    ADD_SUBDIRECTORY( src )
    ADD_SUBDIRECTORY( icons )
    ADD_SUBDIRECTORY( kwebapp )
    ADD_SUBDIRECTORY( doc )

ENDIF(REKONQ_CAN_BE_COMPILED)

# ================================================================================

# doc & translations
set_property(GLOBAL PROPERTY ALLOW_DUPLICATE_CUSTOM_TARGETS 1)

# Do not remove or modify these.
# The release script substitutes in for these comments with appropriate doc and translation directories.

include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( po )


include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( doc )

=== doc/CMakeLists.txt ===
add_subdirectory(de)
add_subdirectory(sv)
add_subdirectory(pt)
add_subdirectory(el)
add_subdirectory(et)
add_subdirectory(uk)
add_subdirectory(nl)
add_subdirectory(fr)
add_subdirectory(es)
add_subdirectory(en_US)
add_subdirectory(pt_BR)

=== kwebapp/CMakeLists.txt ===
set( kwebapp_SRCS
    rekonqview.cpp
    searchengine.cpp
    urlresolver.cpp
    walletbar.cpp
    webview.cpp
    webpage.cpp
    websnap.cpp
    kwebmain.cpp
 )

include_directories (
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${QT4_INCLUDES}
    ${KDE4_INCLUDES}
)


kde4_add_executable(kwebapp ${kwebapp_SRCS})

target_link_libraries(kwebapp
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KDEWEBKIT_LIBS}
)


install(TARGETS kwebapp ${INSTALL_TARGETS_DEFAULT_ARGS} )

=== po/CMakeLists.txt ===
# The pofiles macro creates in some versions same name targets
# which since cmake 2.8 leads to target clashes.
# Hence force the old policy for all po directories.
# http://public.kitware.com/Bug/view.php?id=12952
cmake_policy(SET CMP0002 OLD)

find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(ca)
add_subdirectory(ko)
add_subdirectory(de)
add_subdirectory(sv)
add_subdirectory(ro)
add_subdirectory(fi)
add_subdirectory(eo)
add_subdirectory(pt)
add_subdirectory(ga)
add_subdirectory(en_GB)
add_subdirectory(gl)
add_subdirectory(is)
add_subdirectory(sk)
add_subdirectory(sr)
add_subdirectory(sr@latin)
add_subdirectory(zh_CN)
add_subdirectory(el)
add_subdirectory(et)
add_subdirectory(it)
add_subdirectory(pl)
add_subdirectory(th)
add_subdirectory(uk)
add_subdirectory(nl)
add_subdirectory(bg)
add_subdirectory(nds)
add_subdirectory(fr)
add_subdirectory(eu)
add_subdirectory(bs)
add_subdirectory(da)
add_subdirectory(ru)
add_subdirectory(fa)
add_subdirectory(lt)
add_subdirectory(hu)
add_subdirectory(es)
add_subdirectory(sr@ijekavian)
add_subdirectory(ca@valencia)
add_subdirectory(sr@ijekavianlatin)
add_subdirectory(km)
add_subdirectory(pt_BR)
add_subdirectory(ja)
add_subdirectory(sl)
add_subdirectory(tr)
add_subdirectory(zh_TW)
add_subdirectory(nb)
add_subdirectory(ug)
add_subdirectory(cs)

=== src/CMakeLists.txt ===
### ------- sub dirs -------

ADD_SUBDIRECTORY( data )
ADD_SUBDIRECTORY( tests )


### ------- SETTING REKONQ FILES..

SET( rekonq_KDEINIT_SRCS
    application.cpp
    clicktoflash.cpp
    downloaditem.cpp
    downloadmanager.cpp
    findbar.cpp
    icondownloader.cpp
    iconmanager.cpp
    mainview.cpp
    mainwindow.cpp
    messagebar.cpp
    networkaccessmanager.cpp
    newtabpage.cpp
    paneltreeview.cpp
    previewselectorbar.cpp
    protocolhandler.cpp
    rekonqmenu.cpp
    searchenginebar.cpp
    sessionmanager.cpp
    sslinfodialog.cpp
    tabpreviewpopup.cpp
    tabbar.cpp
    tabhighlighteffect.cpp
    thumbupdater.cpp
    urlfilterproxymodel.cpp
    urlpanel.cpp
    walletbar.cpp
    webicon.cpp
    webinspectorpanel.cpp
    webpage.cpp
    webpluginfactory.cpp
    websslinfo.cpp
    websnap.cpp
    webview.cpp
    webtab.cpp
    zoombar.cpp
    #----------------------------------------
    history/autosaver.cpp
    history/historymanager.cpp
    history/historymodels.cpp
    history/historypanel.cpp
    #----------------------------------------
    settings/settingsdialog.cpp
    settings/appearancewidget.cpp
    settings/advancedwidget.cpp
    settings/generalwidget.cpp
    settings/privacywidget.cpp
    settings/tabswidget.cpp
    settings/webkitwidget.cpp
    settings/passexceptionswidget.cpp
    #----------------------------------------
    bookmarks/bookmarkmanager.cpp
    bookmarks/bookmarkspanel.cpp
    bookmarks/bookmarkstreemodel.cpp
    bookmarks/bookmarkscontextmenu.cpp
    bookmarks/bookmarkstoolbar.cpp
    bookmarks/bookmarkowner.cpp
    #----------------------------------------
    adblock/adblockhostmatcher.cpp
    adblock/adblockmanager.cpp
    adblock/adblocknetworkreply.cpp
    adblock/adblockrule.cpp
    adblock/adblockrulefallbackimpl.cpp
    adblock/adblockrulenullimpl.cpp
    adblock/adblockruletextmatchimpl.cpp
    adblock/adblockwidget.cpp
    adblock/blockedelementswidget.cpp
    #----------------------------------------
    urlbar/stackedurlbar.cpp
    urlbar/urlbar.cpp
    urlbar/completionwidget.cpp
    urlbar/urlresolver.cpp
    urlbar/listitem.cpp
    urlbar/rsswidget.cpp
    urlbar/sslwidget.cpp
    urlbar/bookmarkwidget.cpp
    urlbar/webshortcutwidget.cpp
    urlbar/favoritewidget.cpp
    #----------------------------------------
    analyzer/analyzerpanel.cpp
    analyzer/networkanalyzer.cpp
    #----------------------------------------
    opensearch/searchengine.cpp
    opensearch/opensearchwriter.cpp
    opensearch/opensearchreader.cpp
    opensearch/opensearchmanager.cpp
    opensearch/opensearchengine.cpp
    opensearch/suggestionparser.cpp
    #----------------------------------------
    useragent/useragentinfo.cpp
    useragent/useragentmanager.cpp
    useragent/useragentwidget.cpp
    #----------------------------------------
    sync/ftpsynchandler.cpp
    sync/googlesynchandler.cpp
    sync/syncassistant.cpp
    sync/synchandler.cpp
    sync/syncmanager.cpp
    #
    sync/synccheckwidget.cpp
    sync/syncdatawidget.cpp
    sync/synchosttypewidget.cpp
    sync/syncftpsettingswidget.cpp
    sync/syncgooglesettingswidget.cpp
    sync/syncoperasettingswidget.cpp
)

# Nepomuk OPTIONAL src files
IF(HAVE_NEPOMUK)
    SET( rekonq_KDEINIT_SRCS
            ${rekonq_KDEINIT_SRCS}
            urlbar/resourcelinkdialog.cpp
            urlbar/newresourcedialog.cpp
    )
ENDIF(HAVE_NEPOMUK)


# Opera sync optional src files
IF(HAVE_QCA2 AND HAVE_QTOAUTH)
    SET( rekonq_KDEINIT_SRCS
            ${rekonq_KDEINIT_SRCS}
            sync/operasynchandler.cpp
    )
ENDIF(HAVE_QCA2 AND HAVE_QTOAUTH)


KDE4_ADD_UI_FILES( rekonq_KDEINIT_SRCS
    settings/settings_general.ui
    settings/settings_tabs.ui
    settings/settings_appearance.ui
    settings/settings_webkit.ui
    settings/settings_advanced.ui
    settings/settings_privacy.ui
    settings/password_exceptions.ui
    # ----------------------------------------
    adblock/settings_adblock.ui
    adblock/blocked_elements.ui
    # ----------------------------------------
    cleardata.ui
    sslinfo.ui
    webappcreation.ui
    useragent/useragentsettings.ui
    # ----------------------------------------
    sync/sync_check.ui
    sync/sync_data.ui
    sync/sync_ftp_settings.ui
    sync/sync_google_settings.ui
    sync/sync_opera_settings.ui
    sync/sync_host_type.ui
 )

KDE4_ADD_KCFG_FILES( rekonq_KDEINIT_SRCS rekonq.kcfgc )

IF(HAVE_NEPOMUK)
    INCLUDE(SopranoAddOntology)
ENDIF(HAVE_NEPOMUK)

### ------------- INCLUDING DIRECTORIES...

INCLUDE_DIRECTORIES (   ${CMAKE_CURRENT_SOURCE_DIR}
                        ${CMAKE_CURRENT_SOURCE_DIR}/adblock
                        ${CMAKE_CURRENT_SOURCE_DIR}/analyzer
                        ${CMAKE_CURRENT_SOURCE_DIR}/bookmarks
                        ${CMAKE_CURRENT_SOURCE_DIR}/history
                        ${CMAKE_CURRENT_SOURCE_DIR}/opensearch
                        ${CMAKE_CURRENT_SOURCE_DIR}/settings
                        ${CMAKE_CURRENT_SOURCE_DIR}/sync
                        ${CMAKE_CURRENT_SOURCE_DIR}/urlbar
                        ${CMAKE_CURRENT_SOURCE_DIR}/useragent
                        ${CMAKE_CURRENT_BINARY_DIR}
                        ${KDE4_INCLUDES}
                        ${QT4_INCLUDES}
)

# Nepomuk optional include directories
IF(HAVE_NEPOMUK)
    INCLUDE_DIRECTORIES(${SOPRANO_INCLUDE_DIR}
                        ${NEPOMUK_INCLUDE_DIR}
    )
ENDIF(HAVE_NEPOMUK)

# Opera sync optional include directories
IF(HAVE_QCA2 AND HAVE_QTOAUTH)
    INCLUDE_DIRECTORIES(${QCA2_INCLUDE_DIR}
                        ${QTOAUTH_INCLUDE_DIR}
    )
ENDIF(HAVE_QCA2 AND HAVE_QTOAUTH)


### -------------- ADDING DEFINITIONS...

ADD_DEFINITIONS ( ${KDE4_DEFINITIONS} )


### -------------- ADDING APPLICATION ICON...

KDE4_ADD_APP_ICON( rekonq_KDEINIT_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/../icons/hi*-app-rekonq.png )


### --------------- ADDING EXECUTABLE...

KDE4_ADD_KDEINIT_EXECUTABLE( rekonq ${rekonq_KDEINIT_SRCS} main.cpp )


### --------------- TARGETTING LINK LIBRARIES...

TARGET_LINK_LIBRARIES (     kdeinit_rekonq
                            ${QT_LIBRARIES}
                            ${QT_QTSCRIPT_LIBRARY}
                            ${QT_QTWEBKIT_LIBRARY}
                            ${KDE4_KDEWEBKIT_LIBS}
                            ${KDE4_KUTILS_LIBS}
                            ${KDE4_KDEUI_LIBS}
                            ${KDE4_KIO_LIBS}
                            ${KDE4_KPARTS_LIBS}
)


# Nepomuk optional target link libraries
IF(HAVE_NEPOMUK)
    TARGET_LINK_LIBRARIES(  kdeinit_rekonq
                            ${NEPOMUK_LIBRARIES}
                            ${NEPOMUK_QUERY_LIBRARIES}
                            ${SOPRANO_LIBRARIES}
    )
ENDIF(HAVE_NEPOMUK)

# Opera sync optional link libraries
IF(HAVE_QCA2 AND HAVE_QTOAUTH)
    TARGET_LINK_LIBRARIES(  kdeinit_rekonq
                            ${QCA2_LIBRARY}
                            ${QTOAUTH_LIBRARY}
    )
ENDIF(HAVE_QCA2 AND HAVE_QTOAUTH)


### ------------ INSTALL FILES...

INSTALL( TARGETS rekonq ${INSTALL_TARGETS_DEFAULT_ARGS} )
INSTALL( TARGETS kdeinit_rekonq  ${INSTALL_TARGETS_DEFAULT_ARGS} )

INSTALL( FILES rekonq.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )
INSTALL( FILES rekonqui.rc  DESTINATION  ${DATA_INSTALL_DIR}/rekonq )

=== src/data/CMakeLists.txt ===
# image files
INSTALL(
    FILES
    bg2.png
    tile.gif
    category.png
    button.png
    busywidget.gif
    loading.mng
    webkit-icon.png
    autoscroll.png
    background.png
    DESTINATION ${DATA_INSTALL_DIR}/rekonq/pics
)

# fonts files
INSTALL(
    FILES
    Nunito-Regular.ttf
    DESTINATION ${DATA_INSTALL_DIR}/rekonq/fonts
)

# default bookmarks
INSTALL(
    FILES
    defaultbookmarks.xbel
    DESTINATION ${DATA_INSTALL_DIR}/rekonq
)

# .desktop file
INSTALL(
    PROGRAMS rekonq.desktop
    DESTINATION ${XDG_APPS_INSTALL_DIR}
)

# htmls
INSTALL(
    FILES
    rekonqinfo.html
    home.html
    jquery-1.7.2.min.js
    jquery-ui-1.8.20.custom.min.js
    DESTINATION ${DATA_INSTALL_DIR}/rekonq/htmls
)

# adblock default settings
INSTALL(
    FILES
    adblockrc
    DESTINATION ${DATA_INSTALL_DIR}/rekonq
)

# opensearch engines
INSTALL(
    FILES
    beolingus.xml
    bing.xml
    yahoo.xml
    de2en.xml
    dictfr.xml
    facebook.xml
    google.xml
    kde_techbase.xml
    kde_userbase.xml
    youtube.xml
    voila.xml
    wikia.xml
    wikipedia.xml
    wiktionary.xml
    wr_english.xml
    db_opensearch.json
    DESTINATION ${DATA_INSTALL_DIR}/rekonq/opensearch
)

=== src/tests/CMakeLists.txt ===
##### ---------- General Settings ----------

SET( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

INCLUDE_DIRECTORIES (   ${CMAKE_CURRENT_BINARY_DIR}
                        ${CMAKE_CURRENT_SOURCE_DIR}/..
                        ${CMAKE_CURRENT_SOURCE_DIR}/../adblock
                        ${CMAKE_CURRENT_SOURCE_DIR}/../analyzer
                        ${CMAKE_CURRENT_SOURCE_DIR}/../bookmarks
                        ${CMAKE_CURRENT_SOURCE_DIR}/../history
                        ${CMAKE_CURRENT_SOURCE_DIR}/../opensearch
                        ${CMAKE_CURRENT_SOURCE_DIR}/../settings
                        ${CMAKE_CURRENT_SOURCE_DIR}/../urlbar
                        ${KDE4_INCLUDES}
                        ${QT4_INCLUDES}
)

##### ------------- findbar test

kde4_add_unit_test( findbar_test findbar_test.cpp )

target_link_libraries( findbar_test
    kdeinit_rekonq
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${QT_QTGUI_LIBRARY}
    ${QT_QTTEST_LIBRARY}
)

##### ------------- mainwindow test

kde4_add_unit_test( mainwindow_test mainwindow_test.cpp )
 
target_link_libraries( mainwindow_test
    kdeinit_rekonq
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${QT_QTTEST_LIBRARY}
)

##### ------------- mainview test

kde4_add_unit_test( mainview_test mainview_test.cpp )
 
target_link_libraries( mainview_test
    kdeinit_rekonq
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${QT_QTTEST_LIBRARY}
)

##### ------------- networkaccessmanager test

kde4_add_unit_test( networkaccessmanager_test networkaccessmanager_test.cpp )
 
target_link_libraries( networkaccessmanager_test
    kdeinit_rekonq
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${QT_QTTEST_LIBRARY}
)

##### ------------- protocolhandler test

kde4_add_unit_test( protocolhandler_test protocolhandler_test.cpp )
 
target_link_libraries( protocolhandler_test
    kdeinit_rekonq
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KDEWEBKIT_LIBS}
    ${QT_QTNETWORK_LIBRARY}
    ${QT_QTTEST_LIBRARY}
)

##### ------------- sessionmanager test

kde4_add_unit_test( sessionmanager_test sessionmanager_test.cpp )
 
target_link_libraries( sessionmanager_test
    kdeinit_rekonq
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${QT_QTTEST_LIBRARY}
)

##### ------------- tabbar test

kde4_add_unit_test( tabbar_test tabbar_test.cpp )

target_link_libraries( tabbar_test
    kdeinit_rekonq
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${QT_QTTEST_LIBRARY}
)

##### ------------- walletbar test

kde4_add_unit_test( walletbar_test walletbar_test.cpp )

target_link_libraries( walletbar_test
    kdeinit_rekonq
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KDEWEBKIT_LIBS}
    ${QT_QTTEST_LIBRARY}
)

##### ------------- webpage test

kde4_add_unit_test( webpage_test webpage_test.cpp )

target_link_libraries( webpage_test
    kdeinit_rekonq
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KDEWEBKIT_LIBS}
    ${QT_QTTEST_LIBRARY}
)

##### ------------- websnap test

kde4_add_unit_test( websnap_test websnap_test.cpp )

target_link_libraries( websnap_test
    kdeinit_rekonq
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KDEWEBKIT_LIBS}
    ${QT_QTTEST_LIBRARY}
)

##### ------------- webtab test

kde4_add_unit_test( webtab_test webtab_test.cpp )

target_link_libraries( webtab_test
    kdeinit_rekonq
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KDEWEBKIT_LIBS}
    ${QT_QTTEST_LIBRARY}
)

##### ------------- webview test

kde4_add_unit_test( webview_test webview_test.cpp )

target_link_libraries( webview_test
    kdeinit_rekonq
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KDEWEBKIT_LIBS}
    ${QT_QTTEST_LIBRARY}
)

##### ------------- urlbar test

kde4_add_unit_test( urlbar_test urlbar_test.cpp )

target_link_libraries( urlbar_test
    kdeinit_rekonq
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KDEWEBKIT_LIBS}
    ${QT_QTTEST_LIBRARY}
)

##### ------------- listitem test

kde4_add_unit_test( listitem_test listitem_test.cpp )

target_link_libraries( listitem_test
    kdeinit_rekonq
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KDEWEBKIT_LIBS}
    ${QT_QTTEST_LIBRARY}
)

############################################################

=== debian/changelog ===
rekonq (1.0-0ubuntu1~ubuntu12.04.1) precise-backports; urgency=low

  * No-change backport to precise

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 23 Jul 2012 12:25:11 +0100

rekonq (1.0-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 23 Jul 2012 11:23:24 +0100

rekonq (0.9.90-0ubuntu1) quantal; urgency=low

  * New upstream beta release
  * Merge with Debian, remaining changes:
    - keep kubuntu patches

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 20 Jul 2012 13:55:25 +0100

rekonq (0.9.2-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Kolberg <bulldog98@kubuntu.org>  Thu, 03 May 2012 21:31:53 +0200

## rekonq 1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # Information to update before to release this package.
 
 # rekonq info
-SET(REKONQ_VERSION "1.0" )
+SET(REKONQ_VERSION "1.1" )
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/src/config-version.h )

=== debian/changelog ===
rekonq (1.1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 29 Aug 2012 17:00:47 +0100

rekonq (1.0-0ubuntu2) quantal; urgency=low

  * experimentally add kubuntu_adblock.diff, no easy way to set this in
    kubuntu-default-settings

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 10 Aug 2012 16:44:59 +0100

=== debian/control ===
Source: rekonq
Section: web
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Felix Geyer <debfx-pkg@fobos.de>,
 José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: debhelper (>= 9),
               pkg-kde-tools (>= 0.5.0~),
               cmake,
               kdelibs5-dev (>= 4:4.7),
               libqtwebkit-dev (>= 2.2.0),
               pkg-config
Standards-Version: 3.9.3
Homepage: http://rekonq.kde.org/
DM-Upload-Allowed: yes
Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/rekonq.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/rekonq.git

Package: rekonq
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kde-baseapps-bin
Suggests: kget
Provides: www-browser
Description: KDE web browser based on Webkit
 rekonq is a web browser based on WebKit and the KDE technologies.
 Its aim is to integrate nicely in the KDE desktop while providing
 a lightweight experience.
 .
 Non-exhaustive list of features :
  - shares bookmarks and network settings with konqueror
  - uses the kwallet password manager
  - integrates with the kget download manager
  - anonymous browsing mode

Package: rekonq-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, rekonq (= ${binary:Version})
Recommends: kdelibs5-dbg, libqtwebkit4-dbg
Description: debugging symbols for rekonq
 This package contains the debugging symbols associated with rekonq.
 They will automatically be used by gdb for debugging rekonq-related
 issues.

## rekonq 2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # Information to update before to release this package.
 
 # rekonq info
-SET(REKONQ_VERSION "1.1" )
+SET(REKONQ_VERSION "2.1" )
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/src/config-version.h )
 
@@ -35,7 +35,7 @@
 #  MESSAGE(STATUS "Found QtWebKit ${PC_QTWEBKIT_VERSION}")
 #ENDIF()
 
-FIND_PACKAGE(KDE4 4.7.0 REQUIRED)
+FIND_PACKAGE(KDE4 4.9.0 REQUIRED)
 
 
 INCLUDE(MacroOptionalFindPackage)
@@ -92,7 +92,7 @@
     MESSAGE(STATUS " Qt library found...................... NO")
     MESSAGE(STATUS "")
     MESSAGE(SEND_ERROR " rekonq needs at least Qt ${QT_MIN_VERSION}. Please install it and try compiling again.")
-    MESSAGE(STATUS " Qt website is at http://qt.nokia.com")
+    MESSAGE(STATUS " Qt website is at http://qt-project.org")
     MESSAGE(STATUS "")
 ENDIF(QT4_FOUND)
 
@@ -184,7 +184,6 @@
 
     ADD_SUBDIRECTORY( src )
     ADD_SUBDIRECTORY( icons )
-    ADD_SUBDIRECTORY( kwebapp )
     ADD_SUBDIRECTORY( doc )
 
 ENDIF(REKONQ_CAN_BE_COMPILED)

=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -8,4 +8,3 @@
 add_subdirectory(fr)
 add_subdirectory(es)
 add_subdirectory(en_US)
-add_subdirectory(pt_BR)

=== po/CMakeLists.txt ===
# The pofiles macro creates in some versions same name targets
# which since cmake 2.8 leads to target clashes.
# Hence force the old policy for all po directories.
# http://public.kitware.com/Bug/view.php?id=12952
cmake_policy(SET CMP0002 OLD)

find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(de)
add_subdirectory(sv)
add_subdirectory(fi)
add_subdirectory(pt)
add_subdirectory(sk)
add_subdirectory(sr)
add_subdirectory(sr@latin)
add_subdirectory(zh_CN)
add_subdirectory(el)
add_subdirectory(et)
add_subdirectory(it)
add_subdirectory(pl)
add_subdirectory(uk)
add_subdirectory(nl)
add_subdirectory(fr)
add_subdirectory(da)
add_subdirectory(ia)
add_subdirectory(lt)
add_subdirectory(hu)
add_subdirectory(es)
add_subdirectory(sr@ijekavian)
add_subdirectory(sr@ijekavianlatin)
add_subdirectory(km)
add_subdirectory(pt_BR)
add_subdirectory(sl)
add_subdirectory(zh_TW)
add_subdirectory(nb)
add_subdirectory(cs)

=== src/CMakeLists.txt ===
### ------- sub dirs -------

ADD_SUBDIRECTORY( data )


### ------- SETTING REKONQ FILES..
add_definitions(-DQT_STATICPLUGIN)
QT4_WRAP_CPP(wk_HEADERS_MOC qwebkitplatformplugin.h)

# src files
set(rekonq_KDEINIT_SRCS
    #----------------------------------------
    application.cpp
    autosaver.cpp
    searchengine.cpp
    sessionmanager.cpp
    urlresolver.cpp
    websnap.cpp
    #----------------------------------------
    adblock/adblockhostmatcher.cpp
    adblock/adblockmanager.cpp
    adblock/adblockrule.cpp
    adblock/adblockrulefallbackimpl.cpp
    adblock/adblockrulenullimpl.cpp
    adblock/adblockruletextmatchimpl.cpp
    adblock/adblocksettingwidget.cpp
    #----------------------------------------
    bookmarks/bookmarkmanager.cpp
    bookmarks/bookmarkscontextmenu.cpp
    bookmarks/bookmarkstoolbar.cpp
    bookmarks/bookmarkowner.cpp
    #----------------------------------------
    download/downloaditem.cpp
    download/downloadmanager.cpp
    #----------------------------------------
    history/historymanager.cpp
    history/historymodels.cpp
    #----------------------------------------
    icons/icondownloader.cpp
    icons/iconmanager.cpp
    icons/webicon.cpp
    #----------------------------------------
    rekonqpage/newtabpage.cpp
    rekonqpage/thumbupdater.cpp
    #----------------------------------------
    settings/settingsdialog.cpp
    settings/appearancewidget.cpp
    settings/advancedwidget.cpp
    settings/generalwidget.cpp
    settings/privacywidget.cpp
    settings/tabswidget.cpp
    settings/webkitwidget.cpp
    settings/passexceptionswidget.cpp
    #----------------------------------------
    sync/ftpsynchandler.cpp
    sync/googlesynchandler.cpp
    sync/syncassistant.cpp
    sync/synchandler.cpp
    sync/syncmanager.cpp
    #
    sync/synccheckwidget.cpp
    sync/syncdatawidget.cpp
    sync/synchosttypewidget.cpp
    sync/syncftpsettingswidget.cpp
    sync/syncgooglesettingswidget.cpp
    sync/syncoperasettingswidget.cpp
    #----------------------------------------
    tabwindow/rekonqwindow.cpp
    tabwindow/tabbar.cpp
    tabwindow/tabhighlighteffect.cpp
    tabwindow/tabpreviewpopup.cpp
    tabwindow/tabwindow.cpp
    #----------------------------------------
    urlbar/urlbar.cpp
    urlbar/completionwidget.cpp
    urlbar/listitem.cpp
    urlbar/adblockwidget.cpp
    urlbar/bookmarkwidget.cpp
    urlbar/favoritewidget.cpp
    urlbar/rsswidget.cpp
    urlbar/sslwidget.cpp
    urlbar/urlsuggester.cpp
    #----------------------------------------
    useragent/useragentinfo.cpp
    useragent/useragentmanager.cpp
    useragent/useragentwidget.cpp
    #----------------------------------------
    webtab/clicktoflash.cpp
    webtab/crashmessagebar.cpp
    webtab/networkaccessmanager.cpp
    webtab/previewselectorbar.cpp
    webtab/protocolhandler.cpp
    webtab/searchenginebar.cpp
    webtab/sslinfodialog.cpp
    webtab/walletbar.cpp
    webtab/webpage.cpp
    webtab/webpluginfactory.cpp
    webtab/websslinfo.cpp
    webtab/webview.cpp
    webtab/webtab.cpp
    #----------------------------------------
    webwindow/findbar.cpp
    webwindow/maintoolbar.cpp
    webwindow/rekonqfactory.cpp
    webwindow/rekonqmenu.cpp
    webwindow/webwindow.cpp
    #----------------------------------------
    kspellplugin.cpp
    ${wk_HEADERS_MOC}
)


# Nepomuk OPTIONAL src files
IF(HAVE_NEPOMUK)
    SET( rekonq_KDEINIT_SRCS
            ${rekonq_KDEINIT_SRCS}
            urlbar/resourcelinkdialog.cpp
            urlbar/newresourcedialog.cpp
    )
ENDIF(HAVE_NEPOMUK)


# Opera sync optional src files
IF(HAVE_QCA2 AND HAVE_QTOAUTH)
    SET( rekonq_KDEINIT_SRCS
            ${rekonq_KDEINIT_SRCS}
            sync/operasynchandler.cpp
    )
ENDIF(HAVE_QCA2 AND HAVE_QTOAUTH)


# ui files
KDE4_ADD_UI_FILES( rekonq_KDEINIT_SRCS
    # ----------------------------------------
    adblock/blocked_elements.ui
    adblock/settings_adblock.ui
    #----------------------------------------
    settings/settings_general.ui
    settings/settings_tabs.ui
    settings/settings_appearance.ui
    settings/settings_webkit.ui
    settings/settings_advanced.ui
    settings/settings_privacy.ui
    settings/password_exceptions.ui
    # ----------------------------------------
    sync/sync_check.ui
    sync/sync_data.ui
    sync/sync_ftp_settings.ui
    sync/sync_google_settings.ui
    sync/sync_opera_settings.ui
    sync/sync_host_type.ui
    # ----------------------------------------
    useragent/useragentsettings.ui
    # ----------------------------------------
    webtab/sslinfo.ui
    # ----------------------------------------
    cleardata.ui
    webappcreation.ui
 )


### ------------- INCLUDING DIRECTORIES...

INCLUDE_DIRECTORIES (   ${CMAKE_CURRENT_SOURCE_DIR}
                        ${CMAKE_CURRENT_SOURCE_DIR}/adblock
                        ${CMAKE_CURRENT_SOURCE_DIR}/bookmarks
                        ${CMAKE_CURRENT_SOURCE_DIR}/download
                        ${CMAKE_CURRENT_SOURCE_DIR}/history
                        ${CMAKE_CURRENT_SOURCE_DIR}/icons
                        ${CMAKE_CURRENT_SOURCE_DIR}/rekonqpage
                        ${CMAKE_CURRENT_SOURCE_DIR}/settings
                        ${CMAKE_CURRENT_SOURCE_DIR}/sync
                        ${CMAKE_CURRENT_SOURCE_DIR}/urlbar
                        ${CMAKE_CURRENT_SOURCE_DIR}/tabwindow
                        ${CMAKE_CURRENT_SOURCE_DIR}/useragent
                        ${CMAKE_CURRENT_SOURCE_DIR}/webtab
                        ${CMAKE_CURRENT_SOURCE_DIR}/webwindow
                        ${CMAKE_CURRENT_BINARY_DIR}
                        ${KDE4_INCLUDES}
                        ${QT4_INCLUDES}
)

# Nepomuk optional include directories
IF(HAVE_NEPOMUK)
    INCLUDE_DIRECTORIES(${SOPRANO_INCLUDE_DIR}
                        ${NEPOMUK_INCLUDE_DIR}
    )

    INCLUDE(SopranoAddOntology)
ENDIF(HAVE_NEPOMUK)

# Opera sync optional include directories
IF(HAVE_QCA2 AND HAVE_QTOAUTH)
    INCLUDE_DIRECTORIES(${QCA2_INCLUDE_DIR}
                        ${QTOAUTH_INCLUDE_DIR}
    )
ENDIF(HAVE_QCA2 AND HAVE_QTOAUTH)


### -------------- ADDING DEFINITIONS...

ADD_DEFINITIONS ( ${KDE4_DEFINITIONS} )


### -------------- ADDING APPLICATION ICON...

KDE4_ADD_APP_ICON( rekonq_KDEINIT_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/../icons/hi*-app-rekonq.png )


### -------------- ADDING APPLICATION KCFG FILES...

KDE4_ADD_KCFG_FILES( rekonq_KDEINIT_SRCS rekonq.kcfgc )


### --------------- ADDING EXECUTABLE...

KDE4_ADD_KDEINIT_EXECUTABLE( rekonq ${rekonq_KDEINIT_SRCS} main.cpp )


### --------------- TARGETTING LINK LIBRARIES...

TARGET_LINK_LIBRARIES (     kdeinit_rekonq
                            ${QT_LIBRARIES}
                            ${QT_QTSCRIPT_LIBRARY}
                            ${QT_QTWEBKIT_LIBRARY}
                            ${KDE4_KDEWEBKIT_LIBS}
                            ${KDE4_KUTILS_LIBS}
                            ${KDE4_KDEUI_LIBS}
                            ${KDE4_KIO_LIBS}
                            ${KDE4_KPARTS_LIBS}
                            ${KDE4_SOLID_LIBS}
)

# Nepomuk optional target link libraries
IF(HAVE_NEPOMUK)
    TARGET_LINK_LIBRARIES(  kdeinit_rekonq
                            ${NEPOMUK_LIBRARIES}
                            ${NEPOMUK_QUERY_LIBRARIES}
                            ${SOPRANO_LIBRARIES}
    )
ENDIF(HAVE_NEPOMUK)

# Opera sync optional link libraries
IF(HAVE_QCA2 AND HAVE_QTOAUTH)
    TARGET_LINK_LIBRARIES(  kdeinit_rekonq
                            ${QCA2_LIBRARY}
                            ${QTOAUTH_LIBRARY}
    )
ENDIF(HAVE_QCA2 AND HAVE_QTOAUTH)


### ------------ INSTALL FILES...

INSTALL( TARGETS rekonq ${INSTALL_TARGETS_DEFAULT_ARGS} )
INSTALL( TARGETS kdeinit_rekonq  ${INSTALL_TARGETS_DEFAULT_ARGS} )

# kwebapp script install (provided for retro-compatibility...)
#FILE( COPY data/kwebapp DESTINATION ${BIN_INSTALL_DIR}
#        FILE_PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE )

INSTALL( FILES rekonq.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )
INSTALL( FILES webwindow/rekonqui.rc  DESTINATION  ${DATA_INSTALL_DIR}/rekonq )

=== debian/changelog ===
rekonq (2.1-0ubuntu1) raring; urgency=low

  * New upstream release.
  * Fixed patch kubuntu_no_default_bookmarks.diff

 -- Howard Chan <smartboyhw@gmail.com>  Wed, 30 Jan 2013 21:39:37 +0800

rekonq (2.0-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 07 Jan 2013 16:13:31 +0000

rekonq (1.80-0ubuntu1) raring; urgency=low

  * New upstream alpha release (LP: #1082738)
    - build-depend on libqoauth-dev and shared-desktop-ontologies
    - port kubuntu_restricted_install.diff to the new code

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 15 Dec 2012 20:00:30 +0100

rekonq (1.3-0ubuntu1) raring; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 15 Dec 2012 13:14:17 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,15 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Felix Geyer <debfx-pkg@fobos.de>,
- José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: debhelper (>= 9),
+           José Manuel Santamaría Lema <panfaust@gmail.com>
+Build-Depends: cmake,
+               debhelper (>= 9),
+               kdelibs5-dev (>= 4:4.7),
+               libqoauth-dev,
+               libqtwebkit-dev (>= 2.2.0),
+               pkg-config,
                pkg-kde-tools (>= 0.5.0~),
-               cmake,
-               kdelibs5-dev (>= 4:4.7),
-               libqtwebkit-dev (>= 2.2.0),
-               pkg-config
+               shared-desktop-ontologies
 Standards-Version: 3.9.3
 Homepage: http://rekonq.kde.org/
 DM-Upload-Allowed: yes
@@ -19,7 +21,7 @@
 
 Package: rekonq
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, kde-baseapps-bin
+Depends: kde-baseapps-bin, ${misc:Depends}, ${shlibs:Depends}
 Suggests: kget
 Provides: www-browser
 Description: KDE web browser based on Webkit
@@ -37,7 +39,7 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: ${misc:Depends}, rekonq (= ${binary:Version})
+Depends: rekonq (= ${binary:Version}), ${misc:Depends}
 Recommends: kdelibs5-dbg, libqtwebkit4-dbg
 Description: debugging symbols for rekonq
  This package contains the debugging symbols associated with rekonq.

## rekonq 2.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # Information to update before to release this package.
 
 # rekonq info
-SET(REKONQ_VERSION "2.1" )
+SET(REKONQ_VERSION "2.2.1" )
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/src/config-version.h )
 
@@ -35,7 +35,7 @@
 #  MESSAGE(STATUS "Found QtWebKit ${PC_QTWEBKIT_VERSION}")
 #ENDIF()
 
-FIND_PACKAGE(KDE4 4.9.0 REQUIRED)
+FIND_PACKAGE(KDE4 4.8.4 REQUIRED)
 
 
 INCLUDE(MacroOptionalFindPackage)
@@ -49,11 +49,11 @@
 # ==================================================================================
 # optional nepomuk requirements
 
-MACRO_OPTIONAL_FIND_PACKAGE(Nepomuk)
-MACRO_BOOL_TO_01(Nepomuk_FOUND HAVE_NEPOMUK)
-
-configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-nepomuk.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/src/config-nepomuk.h )
-
+FIND_PACKAGE(NepomukCore 0.1.0)
+
+IF(NepomukCore_FOUND)
+    ADD_DEFINITIONS(-DHAVE_NEPOMUK)
+ENDIF(NepomukCore_FOUND)
 
 # ==================================================================================
 # optional QCA2 & QtOAuth requirements
@@ -138,13 +138,13 @@
 
     # Nepomuk
 
-    IF(HAVE_NEPOMUK)
+    IF(NepomukCore_FOUND)
         MESSAGE(STATUS " Nepomuk Libraries..................... YES")
         MESSAGE(STATUS " Rekonq will be compiled with support for bookmarks nepomuk tagging")
-    ELSE(HAVE_NEPOMUK)
+    ELSE(NepomukCore_FOUND)
         MESSAGE(STATUS " Nepomuk Libraries..................... NO")
         MESSAGE(STATUS " Rekonq will be compiled WITHOUT support for bookmarks tagging")
-    ENDIF(HAVE_NEPOMUK)
+    ENDIF(NepomukCore_FOUND)
 
     MESSAGE(STATUS "")

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -19,6 +19,7 @@
 add_subdirectory(sr)
 add_subdirectory(sr@latin)
 add_subdirectory(zh_CN)
+add_subdirectory(mr)
 add_subdirectory(el)
 add_subdirectory(et)
 add_subdirectory(it)
@@ -28,7 +29,6 @@
 add_subdirectory(fr)
 add_subdirectory(da)
 add_subdirectory(ia)
-add_subdirectory(lt)
 add_subdirectory(hu)
 add_subdirectory(es)
 add_subdirectory(sr@ijekavian)
@@ -36,6 +36,7 @@
 add_subdirectory(km)
 add_subdirectory(pt_BR)
 add_subdirectory(sl)
+add_subdirectory(tr)
 add_subdirectory(zh_TW)
 add_subdirectory(nb)
 add_subdirectory(cs)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -27,6 +27,7 @@
     #----------------------------------------
     bookmarks/bookmarkmanager.cpp
     bookmarks/bookmarkscontextmenu.cpp
+    bookmarks/bookmarksmenu.cpp
     bookmarks/bookmarkstoolbar.cpp
     bookmarks/bookmarkowner.cpp
     #----------------------------------------
@@ -111,13 +112,15 @@
 
 
 # Nepomuk OPTIONAL src files
-IF(HAVE_NEPOMUK)
+IF(NepomukCore_FOUND)
     SET( rekonq_KDEINIT_SRCS
             ${rekonq_KDEINIT_SRCS}
             urlbar/resourcelinkdialog.cpp
             urlbar/newresourcedialog.cpp
-    )
-ENDIF(HAVE_NEPOMUK)
+            nepomuk/utils/simpleresourcemodel.cpp
+            nepomuk/utils/resourcemodel.cpp
+    )
+ENDIF(NepomukCore_FOUND)
 
 
 # Opera sync optional src files
@@ -181,13 +184,14 @@
 )
 
 # Nepomuk optional include directories
-IF(HAVE_NEPOMUK)
+IF(NepomukCore_FOUND)
     INCLUDE_DIRECTORIES(${SOPRANO_INCLUDE_DIR}
-                        ${NEPOMUK_INCLUDE_DIR}
-    )
-
+                        ${NEPOMUK_CORE_INCLUDE_DIR}
+    )
+
+    FIND_PACKAGE(Soprano REQUIRED)
     INCLUDE(SopranoAddOntology)
-ENDIF(HAVE_NEPOMUK)
+ENDIF(NepomukCore_FOUND)
 
 # Opera sync optional include directories
 IF(HAVE_QCA2 AND HAVE_QTOAUTH)
@@ -232,13 +236,12 @@
 )
 
 # Nepomuk optional target link libraries
-IF(HAVE_NEPOMUK)
+IF(NepomukCore_FOUND)
     TARGET_LINK_LIBRARIES(  kdeinit_rekonq
-                            ${NEPOMUK_LIBRARIES}
-                            ${NEPOMUK_QUERY_LIBRARIES}
+                            ${NEPOMUK_CORE_LIBRARY}
                             ${SOPRANO_LIBRARIES}
     )
-ENDIF(HAVE_NEPOMUK)
+ENDIF(NepomukCore_FOUND)
 
 # Opera sync optional link libraries
 IF(HAVE_QCA2 AND HAVE_QTOAUTH)
@@ -260,3 +263,4 @@
 
 INSTALL( FILES rekonq.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )
 INSTALL( FILES webwindow/rekonqui.rc  DESTINATION  ${DATA_INSTALL_DIR}/rekonq )
+

=== debian/changelog ===
rekonq (2.2.1-0ubuntu5) raring; urgency=low

  * Add 0001-i18n-make-sure-text-passed-to-i18n-is-UTF-8.patch from upstream.
    Strings to i18n must be UTF-8.

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 16 Apr 2013 12:35:35 +0200

rekonq (2.2.1-0ubuntu4) raring; urgency=low

  * Add 0001-pass-menutitle-through-i18n-to-get-it-localized.patch from upstream.
    rekonqrc.ui is parsed manually but did not localize the titles.

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 16 Apr 2013 11:16:05 +0200

rekonq (2.2.1-0ubuntu3) raring; urgency=low

  * Add 0001-honor-filetype-setting-WRT-embedding.patch from upstream.
    This makes rekonq follow the KDE filetype settings for kpart embedding.

 -- Harald Sitter <apachelogger@kubuntu.org>  Fri, 12 Apr 2013 14:29:28 +0200

rekonq (2.2.1-0ubuntu2) raring; urgency=low

  * Add 0001-downloads-should-by-default-go-to-the-configured-dow.patch from
    upstream.
    This makes the download location default to the xdg downloads dir

 -- Harald Sitter <apachelogger@kubuntu.org>  Wed, 10 Apr 2013 10:52:14 +0200

rekonq (2.2.1-0ubuntu1) raring; urgency=low

  * New bugfix upstream release to fix bookmarks.  

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 08 Mar 2013 18:36:38 +0800

rekonq (2.2-0ubuntu1) raring; urgency=low

  [ Howard Chan ]
  * New upstream release.
  * Updated debian/control to the latest standards version (version 3.9.4)
  * Updated debian/control to delete obsolete field

  [ Philip Muškovac ]
  * Add nepomuk-core-dev to Build-Depends for bookmark tagging support

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 01 Mar 2013 21:50:34 +0800

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,10 @@
                libqtwebkit-dev (>= 2.2.0),
                pkg-config,
                pkg-kde-tools (>= 0.5.0~),
-               shared-desktop-ontologies
-Standards-Version: 3.9.3
+               shared-desktop-ontologies,
+               nepomuk-core-dev
+Standards-Version: 3.9.4
 Homepage: http://rekonq.kde.org/
-DM-Upload-Allowed: yes
 Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/rekonq.git
 Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/rekonq.git

=== debian/watch ===
version=3
http://sf.net/rekonq/rekonq-([\d.-]+)\.tar\.(?:bz2|gz)
